using _Core;

namespace _Combo
{
    [IdP("seayoo")]
    public class SeayooCredential : Credential
    {
        public string userId;
        public string token;
        public string mobile;
    }

    [IdP("taptap")]
    public class TaptapCredential : Credential
    {
        public string kid;
        public string macKey;
        public int ageRange;
        public string name;
    }

    [IdP("lenovo")]
    public class LenovoCredential : Credential
    {
        public string st;
        public bool isAuthened;
        public int age;
    }

    public class Credential { }
}
